none
安装VS2003问题 RRS feed

  • 问题

  • 问题描述:系统配置:Windows Server 2008 Enterprise Edition(Chinese)

          Framework:2.0、3.0、3.5

                    数据库:SQL2005+SP2、SQL2008

                    开发工具:VS2005+SP1、VS2008+SP1

     

    现在有个项目,是用VS2003开发的(WinForm)。我能在上面的开发环境配置的基础上安装VS2003么?如果安装了,对现有得开发环境配置有影响么?

     

    我需要比较准确的答复。因为我的机器上还有好机个其它项目在,而且也在开发过程中,我不想因为安装了VS2003影响到其它的项目开发!

     

    问题比较急!谢谢各位先!:)

    2008年11月20日 7:06

答案

  • 没有

     

    可以同时存在

     

     

    2008年11月20日 7:34
    版主
  • 你好!
       在我的印象中是不可以安装的,我的朋友都是在虚拟机上安装一个Windows XP,然后再安装VS2003来使用的,你可以试试这个方法!
    2008年11月20日 13:05
    版主
  • Vista 上只有 vs2008 可以完全兼容~2005需要打补丁才能兼容~2003似乎是不兼容的~不过也看到有人用过~不多~2008和vista内核是一样~可以参照vista兼容性~比较好的方法应该还是虚拟机~

     

    2008年11月23日 10:24
    版主

全部回复

  • 没有

     

    可以同时存在

     

     

    2008年11月20日 7:34
    版主
  • TO:feiyun0112:谢谢您这么快的回复。再请教一个问题:因为我现在是最后装VS2003,那么要安装过程中会对VS2005和VS2008产生什么不良影响么?

     

    2008年11月20日 7:39
  •  

    有可能sln文件的默认用2003打开

     

    你可以点右键,选打开方式,选“visual studio version selector”

    2008年11月20日 7:46
    版主
  • 你好!
       Windows Server 2008上不可以安装VS2003
    2008年11月20日 8:08
    版主
  • TO:您好。谢谢您的回复。我想问下,官方有具体的说明么?

    2008年11月20日 8:10
  • 官方说明没有找到,我记得不能安装,你可以运行安装程序试一下,如果不能安装会有提示的!然后你可以退出安装程序,这样不会破坏你的开发环境的!
    2008年11月20日 8:52
    版主
  • TO:周雪峰:我运行了setup.exe,然后要先安装Visual Studio .Net系统必备,点“跳过”后开始安装Visual Studio .Net系统必备。但安装好后,程序报出有三个组件安装失败:

    1、Microsoft .NET Framework 1.1中文(简体)语言包

    2、Microsoft .NET J# .NET可再发行组件包1.1

    3、Microsoft .NET J# .NET可再发行组件包1.1中文(简体)语言包

     

    我按完成后回到了安装程序主界面,但只能操作第一步:Visual Studio .NET系统必备,第二步:Visual Studio .NET不能操作。这是不是说明Windows Server 2008无法装Visual Studio .NET么?还是说有别得什么方法解决这个问题?还望指教

    2008年11月20日 11:50
  • 你好!
       在我的印象中是不可以安装的,我的朋友都是在虚拟机上安装一个Windows XP,然后再安装VS2003来使用的,你可以试试这个方法!
    2008年11月20日 13:05
    版主
  • TO:周雪峰:谢谢您的回复。那么在Win2008上怎么用虚拟机呢?Win2008有一个Hyper-V 管理器,但据说只能在64位的Win2008上用,32位不能用。能有什么解决办法么?

    Microsoft Virtual PC好象不能在Win2008上用

    2008年11月21日 1:14
  • 你好!
       32为和64位都可以使用Hyper-V:
    http://www.microsoft.com/china/windowsserver2008/unleashed/HyperV.aspx
       使用方法可以参考
    http://www.xuniji.com/virtualpc/view.asp?id=98
    2008年11月21日 2:10
    版主
  • Vista 上只有 vs2008 可以完全兼容~2005需要打补丁才能兼容~2003似乎是不兼容的~不过也看到有人用过~不多~2008和vista内核是一样~可以参照vista兼容性~比较好的方法应该还是虚拟机~

     

    2008年11月23日 10:24
    版主